Subject: bug#61105: cp/mv: want a fatal --no-clobber

From: Pádraig Brady <[email-masked]>
Date: Tue, 31 Jan 2023 17:11:00 +0000

On 31/01/2023 16:55, Paul Eggert wrote:
> On 2023-01-30 13:35, Pádraig Brady wrote:
>> This is a good observation.
>> Also the current "skip" functionality of coreutils cp -n
>> is already catered for with the --update option.
> 
> For consistency, there too the exit status should reflect whether the cp
> action was done.
> 
> I installed the attached patch to implement this; comments welcome. In
> the meantime I'm boldly closing the bug report.

I'm not sure I agree with making this change for --update.
Note POSIX doesn't specify -u (or -n TBH), so it's a
bit of a stretch to take its specification of
"All files were copied successfully" in this case,
when it wasn't considering these cases.

To me --update is less useful if it fails in this case.

thanks,
Pádraig